
uses
  SysUtils, Board;
  
var
  LFrom, LTo: integer;
  LBoard: int64;
  
begin
  for LFrom := 0 to 63 do
  begin
    WriteLn('  (');
    for LTo := 0 to 63 do
    begin
      LBoard := GetPath(LFrom, LTo);
      if LTo mod 8 = 0 then
        Write('   ');
      Write(' $', IntToHex(LBoard, 16));
      if LTo < 63 then
        Write(',');
      if Succ(LTo) mod 8 = 0 then
        WriteLn;
    end;
    Write('  )');
    if LFrom < 63 then
      WriteLn(',');
  end;
end.
